<?php
namespace Flex_Divi\Apps;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Frontend{
    public function __construct() {
        add_action( 'init', [ $this, 'manage_form_data' ] );
        // add_action( 'wp_head', [ $this, 'load_modules_css' ] );
        add_action( 'wp_footer', [ $this, 'load_modules_css' ] );

        if( isset( $_GET['et_fb'] ) && $_GET['et_fb'] == 1 ){
            add_action( 'wp_enqueue_scripts', [ $this, 'enqueue_styles' ] );
        }
    }

    public function enqueue_styles(){
        $min = '';
        wp_enqueue_style( FLEX_DIVI_PREFIX.'-editor', FLEX_DIVI_ASSET_DIR . "css/editor{$min}.css", array(), time() );
    }

    public function manage_form_data(){
        if ( isset( $_POST[ FLEX_DIVI_PREFIX . '-form-id' ] ) && ! empty( $_POST[ FLEX_DIVI_PREFIX . '-form-id' ] ) ) {
            $nonce_action = FLEX_DIVI_PREFIX . $_POST[ FLEX_DIVI_PREFIX . '-form-id' ];

            if( ! wp_verify_nonce( $_POST['_wpnonce'] , $nonce_action ) ){
                return;
            }

            Helper::insert_form_data( $_POST );
            wp_safe_redirect( home_url( $_SERVER['REQUEST_URI'] ) );
            exit();
        }
    }

    public function load_modules_css() {

        $post_id = get_the_ID();
        $raw_css_key = '_' . FLEX_DIVI_PREFIX . '_generated_css_array';
        $css_meta_key = '_' . FLEX_DIVI_PREFIX . '_generated_css';
        $raw_css = get_post_meta( $post_id, $raw_css_key, true );
        $css_meta = get_post_meta( $post_id, $css_meta_key, true );

        if( $css_meta ) {
            echo '<style id="' . esc_attr( FLEX_DIVI_PREFIX . '_inline_style_page_' . $post_id ) . '" type="text/css">';
            echo esc_html( $css_meta );
            echo '</style>';
            return;
        }

        $all_styles = '';
        if( empty( $raw_css ) ) { 
            return;
        }
        foreach( $raw_css as $module_css ){
            if ( empty( $module_css ) ) continue;

            foreach( $module_css as $css ) {
                $all_styles .= $css . "\n"; 
            }
        }

        if( ! $all_styles ) return;
        $all_styles = Helper::minify_css( $all_styles );

        echo '<style id="' . esc_attr( FLEX_DIVI_PREFIX . '_inline_style_page_' . $post_id ) . '" type="text/css">';
        echo esc_html( $all_styles );
        echo '</style>';
        
        update_post_meta( $post_id, $css_meta_key, $all_styles );
    }
}