<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// phpcs:ignore WordPress.Security.NonceVerification.Recommended
if( empty( $_GET['form'] ) ){
    return;
}
global $wpdb;
// phpcs:ignore WordPress.Security.NonceVerification.Recommended
$form_id = intval( $_GET['form'] );
$forms_table = $wpdb->prefix . FLEX_DIVI_PREFIX . '_forms';
$form = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM %s WHERE id = %d", $forms_table, $form_id ) );

if ( empty( $form ) ) {
    echo '<div>' . esc_html__( 'No form found', 'flex-divi' ) . '</div>';
    return;
}
$menu_url    = menu_page_url( FLEX_DIVI_PREFIX . '-form-entries', false );
echo '<h1>' . esc_html( ucwords( $form[0]->form_name ) );
echo ' <a href="' . esc_url( $menu_url ) . '" class="button button-lg button-primary">' . esc_html__( 'View All Forms', 'flex-divi' ) . '</a>';
echo '</h1><br/>';

$entries_table  = $wpdb->prefix . FLEX_DIVI_PREFIX . '_forms_entries';
$entries = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM %s WHERE form_id = %d", $entries_table, $form_id ) );

if ( empty( $entries ) ) {
    echo '<div>' . esc_html__( 'No Entries found', 'flex-divi' ) . '</div>';
    return;
}

$columns = json_decode( base64_decode( $entries[0]->form_entries  ) );
echo '<table class="flex-divi-form-table widefat fixed striped">';
echo '<thead>
        <tr>';
        echo  '<th width="50">' . esc_html__( 'Count', 'flex-divi' ) . '</th>';
            foreach( $columns as $column_label => $value ){
                echo '<th>';
                $label = ucwords( str_replace( [ '_', '-' ], ' ', $column_label ) );
                echo esc_html( $label );
                echo '</th>';
            }
echo       '<th>' . esc_html__( 'Date', 'flex-divi' ) . '</th>
            <th>' . esc_html__( 'Action', 'flex-divi' ) . '</th>
            </tr>
      </thead>';
echo '<tbody>';

$date_format = get_option('date_format');
$time_format = get_option('time_format');
$row_index   = 1;

foreach( $entries as $entry ){
    $entries_url = add_query_arg( 'form', $entry->id, $menu_url );
    $columns = json_decode( base64_decode( $entry->form_entries  ) );
    echo '<tr>';
    echo '<td>' . esc_html( $row_index ) . '</td>';
    foreach( $columns as $column_label => $value ){
        echo '<td>';
        echo esc_html( $value );
        echo '</td>';
    }
    $date = gmdate( $date_format . ' ' . $time_format, strtotime( $entry->time ) );
    echo '<td>' . esc_html__( 'Submitted at', 'flex-divi' ) . '<br/>' . esc_html( $date ) . '</td>';
    echo '<td class="dc-action-col">';
    echo '<a href="' . esc_url( $entries_url ) . '" class="button button-danger delete-entry" data-id="' . esc_attr( $entry->id ) . '"> ' . esc_html__( 'Delete', 'flex-divi' ) . ' </a>';
    echo '</td>';
    echo '</tr>';

    $row_index++;
}

echo '</tbody>';
echo '</table>';