<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

echo '<h1>' . esc_html__( 'Register Forms', 'flex-divi' ) . '</h1><br/>';

global $wpdb;

$forms_table = $wpdb->prefix . FLEX_DIVI_PREFIX . '_forms';
$forms       = $wpdb->get_results($wpdb->prepare( "SELECT * FROM %s", $forms_table ));

if ( empty( $forms ) ) {
    echo '<div>' . esc_html__( 'No forms found', 'flex-divi' ) . '</div>';
    return;
}

echo '<table class="flex-divi-form-table widefat fixed striped">';
echo '<thead>
        <tr>
            <th width="50">' . esc_html__( 'Count', 'flex-divi' ) . '</th>
            <th>' . esc_html__( 'Form Name', 'flex-divi' ) . '</th>
            <th>' . esc_html__( 'Date', 'flex-divi' ) . '</th>
            <th>' . esc_html__( 'Action', 'flex-divi' ) . '</th>
        </tr>
      </thead>';
echo '<tbody>';

$date_format = get_option('date_format');
$time_format = get_option('time_format');
$row_index   = 1;
$menu_url    = menu_page_url( FLEX_DIVI_PREFIX . '-form-entries', false );

foreach( $forms as $form ){
    $entries_url = add_query_arg( 'form', $form->id, $menu_url );
    echo '<tr>';
    echo '<td>' . esc_html( $row_index ) . '</td>';
    echo '<td>' . esc_html( ucwords( $form->form_name ) ) . '</td>';
    $date = gmdate( $date_format . ' ' . $time_format, strtotime( $form->time ) );
    echo '<td>' . esc_html__( 'Created at', 'flex-divi' ) . '<br/>' . esc_html( $data ) . '</td>';
    echo '<td class="dc-action-col">';
    echo '<a href="' . esc_url( $entries_url ) . '" class="button button-primary"> ' . esc_html__( 'View Entries', 'flex-divi' ) . ' </a>';
    echo '<a href="' . esc_url( $entries_url ) . '" class="button button-danger"> ' . esc_html__( 'Delete', 'flex-divi' ) . ' </a>';
    echo '</td>';
    echo '</tr>';
    
    $row_index++;
}

echo '</tbody>';
echo '</table>';